#!/bin/bash

# This file is part of VM-Experiments.
# Licensed under the GPL-3.0-or-later. See LICENSE for details.

trap '' SIGINT SIGTERM

while true; do
    chroot /mnt /bin/bash -c "passwd root"

    if [ $? -eq 0 ]; then
        break
    fi
done

while true; do
    read -p "Enter the hostname: " hostname
    chroot /mnt /bin/bash -c "echo $hostname > /etc/hostname"

    if [ $? -eq 0 ]; then
        break
    fi
done

rm /mnt/etc/nginx/sites-enabled/default
tar -xzf deployment.tar.gz -C '/mnt/root'
chroot /mnt /bin/bash -c "cd /root/jet-search/ && make install"

read a
